package com.xhkjedu.sclass.model.classroom;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_classroom_vote_student")
@Data
public class TClassroomVoteStudent {
    /**
     * 课堂学生投票表
     */
    @Id
    private Integer vsid;

    /**
     * 课堂ID
     */
    private Long roomid;

    /**
     * 课堂投票表ID
     */
    private Long voteid;

    /**
     * 学生id
     */
    private Integer studentid;

    /**
     * 学生投票结果
     */
    private String stuvote;

    /**
     * 创建时间
     */
    private Integer createtime;

    @Transient
    private String username;

}