package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsPaperQtypeQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷试卷题型试题表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperQtypeQuestionMapper extends TkMapper<MsPaperQtypeQuestion> {

    //保存客观题选项数量
    int updateBatchQuestionOptionnum(@Param("list") List<MsPaperQtypeQuestion> list);

    //保存客观题答案
    int updateBatchQuestionAnswer(@Param("list") List<MsPaperQtypeQuestion> list);

    //保存试题难易度
    int updateBatchQuestionComplexity(@Param("list") List<MsPaperQtypeQuestion> list);

    //试卷中所有试题基础信息
    List<MsPaperQtypeQuestion> listQuestionsByMpid(@Param("mpid")Integer mpid);

    //清空试题难易度
    int updateComplexityByMpid(@Param("mpid")Integer mpid);
}
