package com.xhkjedu.smarking.mapper.papercheck;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheck;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷试卷阅卷方式表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperCheckMapper extends TkMapper<MsPaperCheck> {
    //根据题块id获取阅卷方式id
    Integer getMpcIdByMBlockId(@Param("mblockid") Integer mblockid);

    //阅卷分配列表
    List<Map> listPaperCheck(@Param("mpid") Integer mpid);
}
