package com.xhkjedu.smarking.mapper.scan;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatch;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷答题卡扫描批次表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsScanbatchMapper extends TkMapper<MsScanbatch> {

    //扫描答卷-考试试卷信息
    Map<String, Object> getExamPaperScanInfo(@Param("mpid")Integer mpid);

    //扫描答卷-扫描信息
    List<Map<String,Object>> listScanBatchForPaper(@Param("mpid")Integer mpid);

    //获取批次名称模糊数量
    Integer getBatchNumByBatchname(@Param("batchname")String batchname);

    //获取试卷所有扫描批次
    List<Map<String,Object>> listScanBatchByMpidForSel(@Param("mpid")Integer mpid);
}
