package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;
import java.util.List;

/**
 * @Description 阅卷试卷阅卷方式表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_check")
public class MsPaperCheck extends BaseBean {
    @Id
    //阅卷试卷阅卷方式ID
    private Integer mpcid;
    //试卷ID
    private Integer mpid;
    //题块ID
    private Integer mblockid;
    //评卷方式1单评2双评
    private Integer checktype;
    //仲裁教师ID
    private Integer arbitrateid;
    //是否隐藏初评分0否1是
    private Integer hidefirstscore;
    //分差计算方式1题块总分值2任一给分点
    private Integer scoreway;
    //最终得分取值1不取整(保留2位小数) 2取整-向上取值 3取整-向下取值
    private Integer finalscore;
    //取整取值间隔
    private Double roundvalue;
    //分配方式1平均分配2效率优先3定量分配
    private Integer dispenseway;
    //创建人ID
    private Integer createid;
    //创建时间ID
    private Integer createtime;

    @Transient
    //阅卷教师
    private List<MsPaperCheckTeacher> teachers;
}
