package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试卷学生表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_student")
public class MsPaperStudent extends BaseBean {
    @Id
    //阅卷试卷学生ID
    private Integer mpsid;
    //考试id
    private Integer examid;
    //考试科目id
    private Integer msid;
    //试卷id
    private Integer mpid;
    //科目id
    private String subjectid;
    //学生id
    private Integer studentid;
    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;
    //批阅状态0未批改1批改中2已批改
    private Integer checked;
    //试题数量
    private Integer pnum;
    //合并后试题数量
    private Integer mergepnum;
    //试卷总分
    private Double pscore;
    //学生得分
    private Double stuscore;
    //学生得分类型0默认1考试得分2补录得分
    private Integer stuscoretype;
    //开始作答时间
    private Integer starttime;
    //结束作答时间
    private Integer endtime;
    //用时(秒)
    private Integer costtime;
    //会否违规0未违规1违规
    private Integer hasbad;
    //创建时间
    private Integer createtime;
    //扫描批次id
    private Integer batchid;
    //学生答题卡图片
    private String stupic;
    //扫码时第几张
    private Integer pagenum;
    //设备web、pad
    private String device;
    //提交方式：1主动提交2自动提交3返回提交
    private Integer submittype;
    //是否验证0待验证1验证通过2验证不通过
    private Integer verified;
}
