package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试卷学生试题表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_student_question")
public class MsPaperStudentQuestion extends BaseBean {
    @Id
    //阅卷试卷学生试题表
    private Integer mpsqid;
    //学生id
    private Integer studentid;
    //考试id
    private Integer examid;
    //科目id
    private String subjectid;
    //试卷id
    private Integer mpid;
    //试卷学生id
    private Integer mpsid;
    //考试试题表id
    private Integer mptqid;
    //处理题型
    private Integer ctype;
    //试题id
    private String questionid;
    //题号
    private String qn;
    //试题排序
    private Integer qorder;
    //是否作答0未作答1已作做答
    private Integer answered;
    //答案类型1选择题2图片3纯文本
    private Integer answertype;
    //学生答案
    private String stuanswer;
    //是否转换0未转换1已转换2转换失败
    private Integer converted;
    //提交时间
    private Integer answertime;
    //单题用时(秒)
    private Integer costtime;
    //试题分值
    private Double qscore;
}
