package com.xhkjedu.smarking.service.papercheck;

import com.xhkjedu.smarking.mapper.papercheck.MsPaperCheckTeacherScoresetMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherScoreset;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷批阅教师常用分设置表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperCheckTeacherScoresetService {
    @Resource
    private MsPaperCheckTeacherScoresetMapper msPaperCheckTeacherScoresetMapper;

    /**
     * @Description 新增
     * @Param [msPaperCheckTeacherScoreset]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperCheckTeacherScoreset msPaperCheckTeacherScoreset){
        msPaperCheckTeacherScoresetMapper.insert(msPaperCheckTeacherScoreset);
    }

    /**
     * @Description 列表
     * @Param [msPaperCheckTeacherScoreset]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherScoreset>
     **/
    public List<MsPaperCheckTeacherScoreset> queryList(MsPaperCheckTeacherScoreset msPaperCheckTeacherScoreset){
        return msPaperCheckTeacherScoresetMapper.selectAll();
    }
}
