package com.xhkjedu.smarking.service.scan;

import com.xhkjedu.smarking.mapper.scan.MsScanbatchPaperBlockMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlock;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷扫描客试卷题块表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsScanbatchPaperBlockService {
    @Resource
    private MsScanbatchPaperBlockMapper msScanbatchPaperBlockMapper;

    /**
     * @Description 新增
     * @Param [msScanbatchPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsScanbatchPaperBlock msScanbatchPaperBlock){
        msScanbatchPaperBlockMapper.insert(msScanbatchPaperBlock);
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlock>
     **/
    public List<MsScanbatchPaperBlock> queryList(MsScanbatchPaperBlock msScanbatchPaperBlock){
        return msScanbatchPaperBlockMapper.selectAll();
    }
}
