package com.xhkjedu.sstudy.service.system;

import com.xhkjedu.sstudy.mapper.system.SchoolMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Description 学校管理
 * @Author ywx
 * Date 2023/11/16 16:30
 **/
@Service
public class SchoolService {
    @Resource
    private SchoolMapper schoolMapper;

    /**
     * @Description 获取用户学校id
     * @Date 2023/11/16 16:31
     * @Author YWX
     * @Param [userid]
     * @Return java.lang.Integer
     **/
    public Integer getSchoolIdByUserid(Integer userid) {
        return schoolMapper.getSchoolIdByUserid(userid);
    }
}
