package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试卷题块试题表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_block_question")
public class MsPaperBlockQuestion extends BaseBean {
    @Id
    //阅卷试卷题块试题ID
    private Integer mbqid;
    //试卷ID
    private Integer mpid;
    //题块ID
    private Integer mblockid;
    //试题类型1原试题2合并给分试题
    private Integer mbqtype;
    //试卷试题ID
    private Integer mptqid;
    //题号
    private String bqn;
    //试题分值
    private Double bqscore;
    //排序/首个题号
    private Integer bqorder;
    //合并给分点试卷试题ID集合
    private String mergeqid;
    //合并给分点试卷试题题号集合
    private String mergeqn;
    //给分步长方式1等间隔2特定分数
    private Integer scorestepway;
    //给分步长内容
    private String scorestep;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;
}
