package com.xhkjedu.smarking.service.papercheck;

import com.xhkjedu.smarking.mapper.papercheck.MsPaperCheckTeacherTaskMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherTask;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷批阅教师任务表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperCheckTeacherTaskService {
    @Resource
    private MsPaperCheckTeacherTaskMapper msPaperCheckTeacherTaskMapper;

    /**
     * @Description 新增
     * @Param [msPaperCheckTeacherTask]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperCheckTeacherTask msPaperCheckTeacherTask){
        msPaperCheckTeacherTaskMapper.insert(msPaperCheckTeacherTask);
    }

    /**
     * @Description 列表
     * @Param [msPaperCheckTeacherTask]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherTask>
     **/
    public List<MsPaperCheckTeacherTask> queryList(MsPaperCheckTeacherTask msPaperCheckTeacherTask){
        return msPaperCheckTeacherTaskMapper.selectAll();
    }
}
