package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷学生表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentService {
    @Resource
    private MsPaperStudentMapper msPaperStudentMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudent]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperStudent msPaperStudent){
        msPaperStudentMapper.insert(msPaperStudent);
    }

    /**
     * @Description 列表
     * @Param [msPaperStudent]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.stupaper.MsPaperStudent>
     **/
    public List<MsPaperStudent> queryList(MsPaperStudent msPaperStudent){
        return msPaperStudentMapper.selectAll();
    }
}
